/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package br.view;

import br.controle.ControleContato;
import cadastrodeveiculos.classe.PessoaJuridica;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import cadastrodeveiculos.arquiteturadosoftware.PersistenciaJuridica;




public class cadastrojuridica extends javax.swing.JFrame {
    private String FILE_JURIDICA = "D:\\ProjetoIntegrador02\\dados.txt";
   
    private boolean incluindo = true;
    private Integer linhaAlterando = null;
    
    PersistenciaJuridica juridica = new  PersistenciaJuridica(FILE_JURIDICA);

      
 
      
    /**
     * Creates new form PessoaJuridica
     */
    public cadastrojuridica() {
        initComponents();     
    }
    PessoaJuridica objeto = null;
    
    private void LimparTela() {
        jTextFieldCEP.setText("");
        jTextFielBAIRRO.setText("");
        jTextFieldCNJP.setText("");
        jTextFieldENDERECO.setText("");
        jTextFieldESTADO.setText("");
        jTextFieldINSCRICAOESTADUAL.setText("");
        jTextFieldNOMEFANTASIA.setText("");
        jTextFieldRAZAOSOCIAL.setText("");
        jTextFieldTELEFONE.setText("");
        jTextFieldCIDADE.setText("");

        
    }
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jTextFieldNOMEFANTASIA = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldRAZAOSOCIAL = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jTextFieldINSCRICAOESTADUAL = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jTextFieldENDERECO = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jTextFieldESTADO = new javax.swing.JTextField();
        jTextFieldCIDADE = new javax.swing.JTextField();
        jTextFielBAIRRO = new javax.swing.JTextField();
        jButtonINCLUIR = new javax.swing.JButton();
        LISTAR = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jButton4 = new javax.swing.JButton();
        jLabel10 = new javax.swing.JLabel();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTableINFORMACOESJURIDICA = new javax.swing.JTable();
        jTextFieldCNJP = new javax.swing.JFormattedTextField();
        jTextFieldCEP = new javax.swing.JFormattedTextField();
        jTextFieldTELEFONE = new javax.swing.JFormattedTextField();
        jButton1 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JL Rent Car - Cadastro de Pessoa Juridica");

        jLabel1.setText("NOME FANTASIA");

        jLabel2.setText("RAZAO SOCIAL");

        jLabel3.setText("CNPJ");

        jLabel4.setText("INSCRIÇÃO ESTADUAL");

        jLabel5.setText("ENDEREÇO");

        jLabel6.setText("CIDADE");

        jLabel7.setText("ESTADO");

        jLabel8.setText("BAIRRO");

        jLabel9.setText("TELEFONE");

        jButtonINCLUIR.setText("INCLUIR");
        jButtonINCLUIR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonINCLUIRActionPerformed(evt);
            }
        });

        LISTAR.setText("LISTAR");
        LISTAR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                LISTARActionPerformed(evt);
            }
        });

        jButton3.setText("ALTERAR");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        jButton4.setText("EXCLUIR");
        jButton4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton4ActionPerformed(evt);
            }
        });

        jLabel10.setText("CEP");

        jTableINFORMACOESJURIDICA.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "NOME", "RAZÃO SOCIAL", "CNPJ", "INSCRIÇÃO E.", "CEP", "ENDEREÇO", "ESTADO", "CIDADE", "BAIRRO", "TELEFONE"
            }
        ));
        jTableINFORMACOESJURIDICA.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_OFF);
        jScrollPane2.setViewportView(jTableINFORMACOESJURIDICA);

        try {
            jTextFieldCNJP.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##.###.###/####-##")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }
        jTextFieldCNJP.setToolTipText("");
        jTextFieldCNJP.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextFieldCNJPActionPerformed(evt);
            }
        });

        try {
            jTextFieldCEP.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("##.###-###")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        try {
            jTextFieldTELEFONE.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.MaskFormatter("(##) # ####-####")));
        } catch (java.text.ParseException ex) {
            ex.printStackTrace();
        }

        jButton1.setText("CANCELAR");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jScrollPane2)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                            .addComponent(jTextFielBAIRRO, javax.swing.GroupLayout.Alignment.LEADING)
                                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                .addComponent(jLabel8)
                                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                                    .addComponent(jTextFieldENDERECO, javax.swing.GroupLayout.Alignment.LEADING)
                                                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                                        .addComponent(jLabel1)
                                                        .addComponent(jTextFieldNOMEFANTASIA, javax.swing.GroupLayout.PREFERRED_SIZE, 195, javax.swing.GroupLayout.PREFERRED_SIZE)
                                                        .addComponent(jLabel3)))
                                                .addComponent(jLabel5)))
                                        .addGap(31, 31, 31))
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                        .addComponent(jTextFieldCNJP)
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(layout.createSequentialGroup()
                                        .addComponent(jLabel7)
                                        .addGap(193, 193, 193)
                                        .addComponent(jLabel6))
                                    .addComponent(jLabel9)
                                    .addGroup(layout.createSequentialGroup()
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                            .addComponent(jTextFieldESTADO, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 219, Short.MAX_VALUE)
                                            .addComponent(jLabel4, javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jLabel2, javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldRAZAOSOCIAL, javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldINSCRICAOESTADUAL, javax.swing.GroupLayout.Alignment.LEADING))
                                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                            .addComponent(jTextFieldCIDADE, javax.swing.GroupLayout.PREFERRED_SIZE, 203, javax.swing.GroupLayout.PREFERRED_SIZE)
                                            .addComponent(jLabel10)
                                            .addComponent(jTextFieldCEP, javax.swing.GroupLayout.PREFERRED_SIZE, 222, javax.swing.GroupLayout.PREFERRED_SIZE)))
                                    .addComponent(jTextFieldTELEFONE, javax.swing.GroupLayout.PREFERRED_SIZE, 222, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jButtonINCLUIR)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(LISTAR)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButton3)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButton4)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jButton1)
                                .addGap(0, 0, Short.MAX_VALUE)))
                        .addGap(32, 32, 32)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jLabel2))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldNOMEFANTASIA, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldRAZAOSOCIAL, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(jLabel4)
                    .addComponent(jLabel10))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldINSCRICAOESTADUAL, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldCNJP, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldCEP, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jLabel6)
                    .addComponent(jLabel7))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFieldENDERECO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldESTADO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldCIDADE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel8)
                    .addComponent(jLabel9))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextFielBAIRRO, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jTextFieldTELEFONE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonINCLUIR)
                    .addComponent(LISTAR)
                    .addComponent(jButton3)
                    .addComponent(jButton4)
                    .addComponent(jButton1))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 204, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        setSize(new java.awt.Dimension(751, 535));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonINCLUIRActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonINCLUIRActionPerformed

        try{
            ControleContato conexao = new ControleContato();
            
            String nomefantasia = jTextFieldNOMEFANTASIA.getText();
            String razaosocial = jTextFieldRAZAOSOCIAL.getText();
            String CNPJ = jTextFieldCNJP.getText();
            String inscricaoestadual = jTextFieldINSCRICAOESTADUAL.getText();
            String CEP = jTextFieldCEP.getText();
            String endereco = jTextFieldENDERECO.getText();
            String estado = jTextFieldCIDADE.getText();
            String cidade = jTextFieldCIDADE.getText();
            String bairro = jTextFielBAIRRO.getText();
            String telefone = jTextFieldTELEFONE.getText();
                    
                    
            
           PessoaJuridica objPessoaJuridica = new PessoaJuridica(nomefantasia, razaosocial, CNPJ, inscricaoestadual, CEP, endereco, estado, cidade, bairro, telefone);
            
           LimparTela();
            
            if (incluindo) {
                //Listar assim que inclui na Tabela  
                DefaultTableModel inclui = (DefaultTableModel) jTableINFORMACOESJURIDICA.getModel();
                inclui.addRow(new String [] {nomefantasia, razaosocial, CNPJ, inscricaoestadual, CEP, endereco, estado, cidade, bairro, telefone});
                
                //Incluir nova linha na Tabela
                juridica.incluir(objPessoaJuridica);
                conexao.incluirDadosPersistencia(objPessoaJuridica, 1);
            } else {
                Path path = Paths.get(FILE_JURIDICA);
                List<String> linhas = Files.readAllLines(path);
                
                String novoConteudo = objPessoaJuridica.desmaterializar();

                linhas.remove(linhaAlterando.intValue());
                linhas.add(linhaAlterando, novoConteudo);

                Files.write(path, linhas);                
                
                incluindo = true;
                linhaAlterando = null;
            }            
   
            
        }catch(Exception erro){
            JOptionPane.showMessageDialog(rootPane, erro.getMessage());
        }

        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonINCLUIRActionPerformed

    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
         
   try {
            if (jTableINFORMACOESJURIDICA.getSelectedRow() != -1) {                
                alterarMarcaSelecionadaDoArquivo(jTableINFORMACOESJURIDICA.getSelectedRow());
            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Alterar!!");
            }
        } catch (IOException e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }           
    }//GEN-LAST:event_jButton3ActionPerformed

    private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton4ActionPerformed
       
        try {
            
            if (jTableINFORMACOESJURIDICA.getSelectedRow() != -1) {                
                DefaultTableModel model =  (DefaultTableModel) jTableINFORMACOESJURIDICA.getModel();
                model.removeRow(jTableINFORMACOESJURIDICA.getSelectedRow());
                excluirMarcaSelecionadaDoArquivo(jTableINFORMACOESJURIDICA.getSelectedRow());
                
            } else {
                JOptionPane.showMessageDialog(null, "Selecione algo para Excluir!!");
            }
        } catch (Exception e) {
            JOptionPane.showMessageDialog(rootPane, e.getMessage());
        }          // TODO add your handling code here:
    }//GEN-LAST:event_jButton4ActionPerformed

    private void jTextFieldCNJPActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextFieldCNJPActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTextFieldCNJPActionPerformed

    private void LISTARActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_LISTARActionPerformed
          try { 
            ArrayList<PessoaJuridica> dados = juridica.listagem();
            DefaultTableModel model =  (DefaultTableModel) jTableINFORMACOESJURIDICA.getModel();
            model.setNumRows(0);
            
          for(int pos = 0; pos < dados.size();pos++){
                String[] saida= new String[10];
                PessoaJuridica aux = dados.get(pos);
                saida[0] = aux.getNomeFantasia();
                saida[1] = aux.getRazaoSocial();
                saida[2] = aux.getCNPJ();
                saida[3] = aux.getInscricaoEstadual();
                saida[4] = aux.getCEP();
                saida[5] = aux.getEndereco();
                saida[6] = aux.getEstado();
                saida[7] = aux.getCidade();
                saida[8] = aux.getBairro();
                saida[9] = aux.getTelefone();
                
                //Incluir nova linha na Tabela
                model.addRow(saida);
            }
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(rootPane, ex.getMessage());
        }
    }//GEN-LAST:event_LISTARActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        
        ViewSubLogin telasublogin = new ViewSubLogin();
        telasublogin.setVisible(true);
        dispose();
        
    }//GEN-LAST:event_jButton1ActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(cadastrojuridica.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(cadastrojuridica.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(cadastrojuridica.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(cadastrojuridica.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new cadastrojuridica().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton LISTAR;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButtonINCLUIR;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable jTableINFORMACOESJURIDICA;
    private javax.swing.JTextField jTextFielBAIRRO;
    private javax.swing.JFormattedTextField jTextFieldCEP;
    private javax.swing.JTextField jTextFieldCIDADE;
    private javax.swing.JFormattedTextField jTextFieldCNJP;
    private javax.swing.JTextField jTextFieldENDERECO;
    private javax.swing.JTextField jTextFieldESTADO;
    private javax.swing.JTextField jTextFieldINSCRICAOESTADUAL;
    private javax.swing.JTextField jTextFieldNOMEFANTASIA;
    private javax.swing.JTextField jTextFieldRAZAOSOCIAL;
    private javax.swing.JFormattedTextField jTextFieldTELEFONE;
    // End of variables declaration//GEN-END:variables
  private void alterarMarcaSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        incluindo = false;
        linhaAlterando = new Integer(linhaSelecionada);
        jTextFieldNOMEFANTASIA.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 0));
        jTextFieldRAZAOSOCIAL.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 1));
        jTextFieldCNJP.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 2));
        jTextFieldINSCRICAOESTADUAL.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 3));
        jTextFieldCEP.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 4)); 
        jTextFieldENDERECO.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 5)); 
        jTextFieldESTADO.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada,6));
        jTextFieldCIDADE.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 7)); 
        jTextFielBAIRRO.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 8)); 
        jTextFieldTELEFONE.setText((String) jTableINFORMACOESJURIDICA.getValueAt(linhaSelecionada, 9)); 


    }
    
    private void excluirMarcaSelecionadaDoArquivo(int linhaSelecionada) throws IOException {
        Path path = Paths.get(FILE_JURIDICA);
        List<String> linhas = Files.readAllLines(path);
        linhas.remove(linhaSelecionada + 1);
        Files.write(path, linhas);        
    }
    
}
